Package org.apache.commons.collections4

# Interface SortedBag<E>

Type Parameters:
  `E` - The type of elements in this bag.

All Superinterfaces:
  `Bag<E>`, `Collection<E>`, `Iterable<E>`

All Known Implementing Classes:
  `AbstractSortedBagDecorator`, `CollectionSortedBag`, `PredicatedSortedBag`, `SynchronizedSortedBag`, `TransformedSortedBag`, `TreeBag`, `UnmodifiableSortedBag`

@Deprecated public interface SortedBag<E> extends Bag<E>
Deprecated.
Since 4.6.0, use `SortedMultiSet` instead; see the `Bag` Javadoc for migration notes.
Defines a type of `Bag` that maintains a sorted order among its unique representative members.

The `SortedMultiSet` interface provides the same functionality while complying with the `Collection` contract, and should be preferred for new code; see the `Bag` documentation for migration notes.

Since:
  2.0
See Also:
  - `SortedMultiSet`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Comparator<? super E>`
  `comparator()`
  Deprecated.
  Returns the comparator associated with this sorted set, or null if it uses its elements' natural ordering.
  `E`
  `first()`
  Deprecated.
  Returns the first (lowest) member.
  `E`
  `last()`
  Deprecated.
  Returns the last (highest) member.

  ### Methods inherited from interface org.apache.commons.collections4.Bag

  `add, add, containsAll, getCount, iterator, remove, remove, removeAll, retainAll, size, uniqueSet`

  ### Methods inherited from interface java.util.Collection

  `addAll, clear, contains, equals, hashCode, isEmpty, parallelStream, removeIf, spliterator, stream, toArray, toArray`

  ### Methods inherited from interface java.lang.Iterable

  `forEach`

- ## Method Details

  - ### comparator

    Comparator<? super E> comparator()
    Deprecated.
    Returns the comparator associated with this sorted set, or null if it uses its elements' natural ordering.
    Returns:
      The comparator in use, or null if natural ordering.

  - ### first

    E first()
    Deprecated.
    Returns the first (lowest) member.
    Returns:
      The first element in the sorted bag.

  - ### last

    E last()
    Deprecated.
    Returns the last (highest) member.
    Returns:
      The last element in the sorted bag.